using Newtonsoft.Json;
using OF_DL.Models.Dtos.Common;

namespace OF_DL.Models.Dtos.Highlights;

public class MediumDto
{
    [JsonProperty("id")] public long Id { get; set; }

    [JsonProperty("type")] public string Type { get; set; } = "";

    [JsonProperty("convertedToVideo")] public bool ConvertedToVideo { get; set; }

    [JsonProperty("canView")] public bool CanView { get; set; }

    [JsonProperty("hasError")] public bool HasError { get; set; }

    [JsonProperty("createdAt")] public DateTime? CreatedAt { get; set; }

    [JsonProperty("files")] public FilesDto Files { get; set; } = new();
}
